# class NativeProcess

#### package cpp

Available on Android, iOS, Linux, macOS, Windows

### Static methods

###

`staticprocess_close (handle:Dynamic):Void`

###

`staticprocess_exit (handle:Dynamic):Int`

###

`staticprocess_pid (handle:Dynamic):Int`

###

`staticprocess_run (cmd:String, vargs:Array<String>):Dynamic`

###

`staticprocess_run_with_show (cmd:String, vargs:Array<String>, inShow:Int):Dynamic`

###

`staticprocess_stderr_read (handle:Dynamic, buf:BytesData, pos:Int, len:Int):Int`

###

`staticprocess_stdin_close (handle:Dynamic):Void`

###

`staticprocess_stdin_write (handle:Dynamic, buf:BytesData, pos:Int, len:Int):Int`

###

`staticprocess_stdout_read (handle:Dynamic, buf:BytesData, pos:Int, len:Int):Int`